IG-88

Driver extension jun 1.03b/1.04b for DSM6.2.2 for 3615xs / 3617xs / 918+

Recommended Posts

39 minutes ago, S__M said:

I`m use this boot disk.

ok here is what i found in your image

 

loader is for DS3615xs 6.2

 

1st partition:

grub.cfg
set vid=#0457
set pid=#0151
-> thats not the way it was in jun's original, it should be
set vid=0x0457
set pid=0x0151


set netif_num=1
-> if using 3 MAC's then it should be
set netif_num=3

 

 

2nd Partition:


extra.lzma and extra2.lzma !!!
-> thats only the case with 918+ image
date of extra.lzma is 06.10.2019, thats also the date of the 918+ version, the 0.5 for 3615 came out 16.12.2019
you clearly took the wrong extra.lzma, if you use loader 3615 you will have to use the extra.lzma for this version
see in the 1st post below in the section for 3615/17 and read that section about how to use it

 

date of zImage and rd.gz is 01.08.2018
dsm 6.2.2 aka 24922 came out 5/2019 so it must be some older kernel, checking the rd.gz  results in v23739

 

you clearly did not follow what i wrote above about copying the new kernel from the pat file and also did not read the 1st post about how to use the extra.lzma

Share this post


Link to post
Share on other sites
7 минут назад, IG-88 сказал:

хорошо, вот что я нашел на вашем изображении

 

загрузчик для DS3615xs 6.2

 

1-й раздел:

grub.cfg
set vid = # 0457
set pid = # 0151
-> это не так, как было в оригинале jun, его следует
установить vid = 0x0457
set pid = 0x0151


установить netif_num = 1 -> если используется 3 MAC, то должно быть установлено netif_num = 3
 

 

 

2-й раздел:


extra.lzma и extra2.lzma !!!
-> это только в случае с 918+ изображением
дата extra.lzma - 06.10.2019, то есть также дата версии 918+, вышла 0,5 для 3615 16.12.2019
вы явно ошиблись extra.lzma, если вы используйте загрузчик 3615, вам нужно будет использовать extra.lzma для этой версии,
см. в 1-м посте ниже в разделе для 3615/17 и прочитать этот раздел о том, как его использовать

 

дата zImage и rd.gz - 01.08.2018 dsm
6.2.2 aka 24922 вышла 5/2019, так что это должно быть какое-то более старое ядро, проверка результатов rd.gz в v23739

 

Вы явно не следовали тому, что я написал выше о копировании нового ядра из файла pat, а также не читали 1-й пост о том, как использовать extra.lzma.

 

ok. i do it tomorrow. 

Share this post


Link to post
Share on other sites
5 hours ago, Decebalus said:


Did you have any add-ons/packages installed on 6.1.7? If yes, did you encounter any issues with those after the upgrade to 6.2.2?

nope all working well as for plex !

Share this post


Link to post
Share on other sites
Posted (edited)
3 hours ago, Decebalus said:

While I will be trying more things, I have a question: does the "Reinstall" option in Jun's loader wipe the data on the drives? I was wondering if I can use that to try to reinstall 6.2.2.

no it should only reset the system, the data volume should not be affected

 

3 hours ago, Decebalus said:

Any suggestions/recommendations regarding the nest steps you think I should try, are more than welcome.

 

you can try a cross update aka migration from 3615 to 3617 and if that is finished then do a 3617 to 3615 migration

it should end with a updated (booting) 3615 and hopefully the plugins work or at least will be working after reinstalling them

 

a little more work but still the hope to keep as much as possible from the configuration

Edited by IG-88

Share this post


Link to post
Share on other sites

Thx @IG-88

 

Upgraded from DMS 6.2 to 6.2.2 Update 4 on my bare metal system using your extra.lzma (0.5)

 

Dell XPS 8700 running i7-2600

 

Share this post


Link to post
Share on other sites
6 hours ago, IG-88 said:

no it should only reset the system, the data volume should not be affected

 

 

you can try a cross update aka migration from 3615 to 3617 and if that is finished then do a 3617 to 3615 migration

it should end with a updated (booting) 3615 and hopefully the plugins work or at least will be working after reinstalling them

 

a little more work but still the hope to keep as much as possible from the configuration


I gave up on the migration and here are the reasons why:

 

1. I had a lot of packages, more than 15-20 installed, including docker. 
 

2. While the containers in docker were the easiest to update with the latest docker API, a number of packages did not start and, what is worse, I was not even able to uninstall them

 

3. The packages I was able to start manually (including Synology packages) ended up stopping after a while. In fact, a couple of times I noticed that all packages started manually, stopped after a while

 

4. I have noticed random network dropouts and trying to open Control Panel would kill the session. In fact, I was not able to open control panel once. 

 

In conclusion, the system was not stable and it may be related to the direct jump from 6.1.7 to 6.2.2 that might have affected the packages which might’ve caused the instability of the system. I remember seeing in the past that Synology prompted to install a version between updates. Maybe this is the case here as well but I am just speculating. 
 

As a result, I have performed a fresh 6.2.2 install with the same USB image and the system has been rock solid after 1TB of data transfer. I have also installed most of the packages that I had previously without any issues. 
 

I will leave the system overnight to complete the data restore from another backup NAS and will provide another update tomorrow once it has been completed. 
 

Bottom line, if you have a significant number of packages installed, the direct jump from 6.1.7 to 6.2.2 may cause problems or maybe it’s just me. 
 

Hope the above will help others and a ton of thanks again to IG-88 for his tremendous help!

Share this post


Link to post
Share on other sites

Thanks  IG-88.
I made the migration in the 2nd way from 3615 to 3617. Now all 3 network cards are visible, Plugins remained in the system, all settings are saved. Будем тестировать...

Share this post


Link to post
Share on other sites

There is a problem ... after some time (1 hour or so), the system falls off the network. At the same time, it seems to be working ... but it is not visible on the network. After the reset, she writes in warnings that there was an incorrect shutdown. I took out the Intel network card to determine the problem, it turns out that something is wrong ...

Share this post


Link to post
Share on other sites
3 hours ago, Decebalus said:

Bottom line, if you have a significant number of packages installed, the direct jump from 6.1.7 to 6.2.2 may cause problems or maybe it’s just me. 

 

from the picture i saw from someone else a few days ago it mas mainly synology distributed packages (well or better maintained packages i guess) and they all broke

but when reading this

https://xpenology.com/forum/topic/21305-file-station-broken-repair-failed-solved/?tab=comments#comment-122092

it seem nothing new or uncommon

 

Share this post


Link to post
Share on other sites
5 hours ago, Decebalus said:

4. I have noticed random network dropouts and trying to open Control Panel would kill the session. In fact, I was not able to open control panel once. 

 

57 minutes ago, S__M said:

k. At the same time, it seems to be working ... but it is not visible on the network. After the reset, she writes in warnings that there was an incorrect shutdown. I took out the Intel network card to determine the problem, it turns out that something is wrong ...

 

both sound simmilar, ping still possible?

whats in the logs around the time in drops services or network?

Share this post


Link to post
Share on other sites
Posted (edited)

ping unpossible. I change MB. Chipset, net, controllers is same as old MB. May be it`s dead MB.

 

What are the names of the log files?

Edited by S__M

Share this post


Link to post
Share on other sites
Posted (edited)

2 hours - normal flight. apparently something is malfunctioning in the old MB.... Something .. with network intel also hung up.  testing further. Bond net cards.

Edited by S__M

Share this post


Link to post
Share on other sites
Posted (edited)

Another update: server has been syncing the data all night long with 0 issues, no network dropouts (including VPN connection) and no error logs. Stable as expected. At this point I can state that using IG-88’s extra.lzma and steps work perfect for a fresh install bare metal on HP Microserver gen8 without the need of 6.2 compatible NIC. Thank you, IG-88!

 

I would not recommend to perform a direct upgrade from 6.1.7 to 6.2.2 if you have a lot of packages but that is a DSM issue and has nothing to do with IG-88’s work. 
 

Hope this helps. 

Edited by Decebalus

Share this post


Link to post
Share on other sites
5 hours ago, IG-88 said:

 

from the picture i saw from someone else a few days ago it mas mainly synology distributed packages (well or better maintained packages i guess) and they all broke

but when reading this

https://xpenology.com/forum/topic/21305-file-station-broken-repair-failed-solved/?tab=comments#comment-122092

it seem nothing new or uncommon

Correct, IG-88. Mainly those were Synology packages and, in fact, File Station was one of them I had issues with. In any case, absolutely no issues with a fresh 6.2.2 install. 

Share this post


Link to post
Share on other sites
50 minutes ago, S__M said:

2 hours - normal flight. apparently something is malfunctioning in the old MB.... Something .. with network intel also hung up.  testing further. Bond net cards.

 

If this has started after the upgrade, slim chance it's the MB. Too much of a coincidence...

Share this post


Link to post
Share on other sites
Posted (edited)

Friends. Advise the cheap controller with ali on 4 disks compatible with DSM 6.2.2 update 4!

Edited by S__M

Share this post


Link to post
Share on other sites
2 часа назад, Decebalus сказал:

 

If this has started after the upgrade, slim chance it's the MB. Too much of a coincidence...

 

5 h 37 m - normal flight. is 100% MB. ) life is good(

Share this post


Link to post
Share on other sites

Thanks for 6.2.2 for 3615 business machines. No problem to install on Gen10 with AMD CPU and Aquantia 10gbit.

I still wanted the 918 version because of NVME, but no luck. The machine NIC doesn't come up either

1) on first boot <- when i update rd.gz and zimage from 6.2.2 PAT file

2) after successful installation and first post-installation reboot <- if i don't update the flash file

therefore clearly the 6.2.2 files from PAT cause it whether i flash them or installation does it later just like it is hinted in the first post.

So frustrating the  monitor wont' show anything to find out what's happening. Still no use for NVME:(

Share this post


Link to post
Share on other sites

Thanks for 6.2.2 for 3615 business machines. No problem to install on Gen10 with AMD CPU and Aquantia 10gbit.

I still wanted the 918 version because of NVME, but no luck. The machine NIC doesn't come up either

1) on first boot <- when i update rd.gz and zimage from 6.2.2 PAT file

2) after successful installation and first post-installation reboot <- if i don't update the flash file

therefore clearly the 6.2.2 files from PAT cause it whether i flash them or installation does it later just like it is hinted in the first post.

So frustrating the  monitor wont' show anything to find out what's happening. Still no use for NVME:(

Share this post


Link to post
Share on other sites
Posted (edited)

sorry, took ages to register..so much networks and emails rejected

Edited by nadiva

Share this post


Link to post
Share on other sites
Posted (edited)

Thanks for 6.2.2 for 3615 business machines. No problem to install on Gen10 with AMD CPU and Aquantia 10gbit.

I still wanted the 918 version because of NVME, but no luck. The machine NIC doesn't come up either

1) on first boot <- when i update rd.gz and zimage from 6.2.2 PAT file

2) after successful installation and first post-installation reboot <- if i don't update the flash file

therefore clearly the 6.2.2 files from PAT cause it with combination of extras whether i flash them or installation does it later just like it is hinted in the first post.

I can install original 1.04b + 6.2.2 but it's without Aquantia.

So frustrating the  monitor wont' show anything to find out what's happening. Still no use for NVME:(

Edited by nadiva
adding fact about 1.04b installation

Share this post


Link to post
Share on other sites
Posted (edited)
1 hour ago, nadiva said:

 

I can install original 1.04b + 6.2.2 but it's without Aquantia.

So frustrating the  monitor wont' show anything to find out what's happening. Still no use for NVME:(

 

i will send you a link for a new 918+ test version, would be interested to know if the aquantia driver is working (i can't test this here)

 

btw. nvme needs some more then just loading the drivers

https://xpenology.com/forum/topic/13342-nvme-cache-support/page/3/#comments

 

Edited by IG-88
  • Thanks 1

Share this post


Link to post
Share on other sites
55 minutes ago, IG-88 said:

 

i will send you a link for a new 918+ test version, would be interested to know if the aquantia driver is working (i can't test this here)

 

btw. nvme needs some more then just loading the drivers

https://xpenology.com/forum/topic/13342-nvme-cache-support/page/3/#comments

 

thanks. does nvme needs some driver from extras? as for the script, yes, i have it ready, and the script works only in 918 version.

meanwhile i cooked a build with old extras + added atlantics,aqc111,mvsas,mvumi and i1000e, and trying also maxlanport= override. well so far no success "failed to install file. the file is probably corrupted (13)". but it boots and provides network, so my problem is something is too much for my machine in new extras. although, it's a HP Gen10, not a random junk setup, good to fix it for every next microserver owner.:95_v:

Share this post


Link to post
Share on other sites
Posted (edited)

extras 0.7 918+ on gen10

boot ok

boot with updated PAT files ok (that's very good)

installation also ok (unlike my attempt...when doing cpio/lzma in freebsd it worked, now i do it in windows and it doesn't..perhpas missing "." folder?)

first boot post installation also good

extra reboot after "system is getting ready" good

user's initial setup good

aquantia check OK (iperf3 check.. excellent speed) (synoinfo hack: 3 NICs in)

nvme script OK (libNVMEpatch.sh hack: needs reboot asap)

-> overall, excellent.. thanks a lot as i just needed this when moving from FreeNAS which failed me a NVME,SSD and RAID at the same time

Edited by nadiva
progress

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.